PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
spa_pod_builder Struct Reference
SPA » POD

`#include <spa/pod/builder.h>`

## Data Fields
void * | data
uint32_t | size
uint32_t | _padding
struct spa_pod_builder_state | state
struct spa_callbacks | callbacks

## Detailed Description

Examples
  audio-capture.c, audio-dsp-filter.c, audio-src-ring.c, audio-src-ring2.c, audio-src.c, export-sink.c, export-source.c, local-v4l2.c, midi-src.c, spa/examples/adapter-control.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, spa/examples/local-videotestsrc.c, tutorial4.c, tutorial5.c, video-dsp-src.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## ◆ data

void* spa_pod_builder::data

## ◆ size

uint32_t spa_pod_builder::size

Examples
  audio-src-ring2.c, local-v4l2.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, and spa/examples/local-videotestsrc.c.

## ◆ _padding

uint32_t spa_pod_builder::_padding

## ◆ state

struct spa_pod_builder_state spa_pod_builder::state

Examples
  spa/examples/adapter-control.c.

## ◆ callbacks

struct spa_callbacks spa_pod_builder::callbacks

The documentation for this struct was generated from the following file:

- spa/pod/builder.h